Package ru.bitel.bgbilling.kernel.directory.api.common.service

# Interface DirectoryService

public interface DirectoryService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addressDirectoryDelete(int id, int mode, String flag)`
  `void`
  `addressHouseDelete(int id)`
  `String`
  `contractGroupTable(boolean calcContracts)`
  `long`
  `getVersion(Class<? extends Id> directoryItemClass, int moduleId)`
  `void`
  `tariffOptionGroupDelete(String id)`
  `TariffOptionGroup`
  `tariffOptionGroupGet(String id)`
  `List<TariffOptionGroup>`
  `tariffOptionGroupList()`
  `void`
  `tariffOptionGroupUpdate(TariffOptionGroup tariffOptionGroup)`

- ## Method Details

  - ### getVersion

    long getVersion(Class<? extends Id> directoryItemClass, int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addressHouseDelete

    void addressHouseDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addressDirectoryDelete

    void addressDirectoryDelete(int id, int mode, String flag) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffOptionGroupList

    List<TariffOptionGroup> tariffOptionGroupList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffOptionGroupGet

    TariffOptionGroup tariffOptionGroupGet(String id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffOptionGroupUpdate

    void tariffOptionGroupUpdate(TariffOptionGroup tariffOptionGroup) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffOptionGroupDelete

    void tariffOptionGroupDelete(String id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractGroupTable

    String contractGroupTable(boolean calcContracts) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`